Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network47.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
47.192.0.0
Broadcast address
47.255.255.255
First usable
47.192.0.1
Last usable
47.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 2FC00000 · Integer 801112064 to 805306367
Reverse DNS zones
192.47.in-addr.arpa
193.47.in-addr.arpa
194.47.in-addr.arpa
195.47.in-addr.arpa
196.47.in-addr.arpa
197.47.in-addr.arpa
198.47.in-addr.arpa
199.47.in-addr.arpa
200.47.in-addr.arpa
201.47.in-addr.arpa
202.47.in-addr.arpa
203.47.in-addr.arpa
204.47.in-addr.arpa
205.47.in-addr.arpa
206.47.in-addr.arpa
207.47.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101111.11000000.00000000.0000000047.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00101111.11000000.00000000.0000000047.192.0.0
Broadcast00101111.11111111.11111111.1111111147.255.255.255
Split into smaller subnets/21

47.192.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
147.192.0.0/2147.192.0.1 to 47.192.7.25447.192.7.2552,046
247.192.8.0/2147.192.8.1 to 47.192.15.25447.192.15.2552,046
347.192.16.0/2147.192.16.1 to 47.192.23.25447.192.23.2552,046
447.192.24.0/2147.192.24.1 to 47.192.31.25447.192.31.2552,046
547.192.32.0/2147.192.32.1 to 47.192.39.25447.192.39.2552,046
647.192.40.0/2147.192.40.1 to 47.192.47.25447.192.47.2552,046
747.192.48.0/2147.192.48.1 to 47.192.55.25447.192.55.2552,046
847.192.56.0/2147.192.56.1 to 47.192.63.25447.192.63.2552,046
947.192.64.0/2147.192.64.1 to 47.192.71.25447.192.71.2552,046
1047.192.72.0/2147.192.72.1 to 47.192.79.25447.192.79.2552,046
1147.192.80.0/2147.192.80.1 to 47.192.87.25447.192.87.2552,046
1247.192.88.0/2147.192.88.1 to 47.192.95.25447.192.95.2552,046
1347.192.96.0/2147.192.96.1 to 47.192.103.25447.192.103.2552,046
1447.192.104.0/2147.192.104.1 to 47.192.111.25447.192.111.2552,046
1547.192.112.0/2147.192.112.1 to 47.192.119.25447.192.119.2552,046
1647.192.120.0/2147.192.120.1 to 47.192.127.25447.192.127.2552,046
1747.192.128.0/2147.192.128.1 to 47.192.135.25447.192.135.2552,046
1847.192.136.0/2147.192.136.1 to 47.192.143.25447.192.143.2552,046
1947.192.144.0/2147.192.144.1 to 47.192.151.25447.192.151.2552,046
2047.192.152.0/2147.192.152.1 to 47.192.159.25447.192.159.2552,046
2147.192.160.0/2147.192.160.1 to 47.192.167.25447.192.167.2552,046
2247.192.168.0/2147.192.168.1 to 47.192.175.25447.192.175.2552,046
2347.192.176.0/2147.192.176.1 to 47.192.183.25447.192.183.2552,046
2447.192.184.0/2147.192.184.1 to 47.192.191.25447.192.191.2552,046
2547.192.192.0/2147.192.192.1 to 47.192.199.25447.192.199.2552,046
2647.192.200.0/2147.192.200.1 to 47.192.207.25447.192.207.2552,046
2747.192.208.0/2147.192.208.1 to 47.192.215.25447.192.215.2552,046
2847.192.216.0/2147.192.216.1 to 47.192.223.25447.192.223.2552,046
2947.192.224.0/2147.192.224.1 to 47.192.231.25447.192.231.2552,046
3047.192.232.0/2147.192.232.1 to 47.192.239.25447.192.239.2552,046
3147.192.240.0/2147.192.240.1 to 47.192.247.25447.192.247.2552,046
3247.192.248.0/2147.192.248.1 to 47.192.255.25447.192.255.2552,046
3347.193.0.0/2147.193.0.1 to 47.193.7.25447.193.7.2552,046
3447.193.8.0/2147.193.8.1 to 47.193.15.25447.193.15.2552,046
3547.193.16.0/2147.193.16.1 to 47.193.23.25447.193.23.2552,046
3647.193.24.0/2147.193.24.1 to 47.193.31.25447.193.31.2552,046
3747.193.32.0/2147.193.32.1 to 47.193.39.25447.193.39.2552,046
3847.193.40.0/2147.193.40.1 to 47.193.47.25447.193.47.2552,046
3947.193.48.0/2147.193.48.1 to 47.193.55.25447.193.55.2552,046
4047.193.56.0/2147.193.56.1 to 47.193.63.25447.193.63.2552,046
4147.193.64.0/2147.193.64.1 to 47.193.71.25447.193.71.2552,046
4247.193.72.0/2147.193.72.1 to 47.193.79.25447.193.79.2552,046
4347.193.80.0/2147.193.80.1 to 47.193.87.25447.193.87.2552,046
4447.193.88.0/2147.193.88.1 to 47.193.95.25447.193.95.2552,046
4547.193.96.0/2147.193.96.1 to 47.193.103.25447.193.103.2552,046
4647.193.104.0/2147.193.104.1 to 47.193.111.25447.193.111.2552,046
4747.193.112.0/2147.193.112.1 to 47.193.119.25447.193.119.2552,046
4847.193.120.0/2147.193.120.1 to 47.193.127.25447.193.127.2552,046
4947.193.128.0/2147.193.128.1 to 47.193.135.25447.193.135.2552,046
5047.193.136.0/2147.193.136.1 to 47.193.143.25447.193.143.2552,046
5147.193.144.0/2147.193.144.1 to 47.193.151.25447.193.151.2552,046
5247.193.152.0/2147.193.152.1 to 47.193.159.25447.193.159.2552,046
5347.193.160.0/2147.193.160.1 to 47.193.167.25447.193.167.2552,046
5447.193.168.0/2147.193.168.1 to 47.193.175.25447.193.175.2552,046
5547.193.176.0/2147.193.176.1 to 47.193.183.25447.193.183.2552,046
5647.193.184.0/2147.193.184.1 to 47.193.191.25447.193.191.2552,046
5747.193.192.0/2147.193.192.1 to 47.193.199.25447.193.199.2552,046
5847.193.200.0/2147.193.200.1 to 47.193.207.25447.193.207.2552,046
5947.193.208.0/2147.193.208.1 to 47.193.215.25447.193.215.2552,046
6047.193.216.0/2147.193.216.1 to 47.193.223.25447.193.223.2552,046
6147.193.224.0/2147.193.224.1 to 47.193.231.25447.193.231.2552,046
6247.193.232.0/2147.193.232.1 to 47.193.239.25447.193.239.2552,046
6347.193.240.0/2147.193.240.1 to 47.193.247.25447.193.247.2552,046
6447.193.248.0/2147.193.248.1 to 47.193.255.25447.193.255.2552,046
6547.194.0.0/2147.194.0.1 to 47.194.7.25447.194.7.2552,046
6647.194.8.0/2147.194.8.1 to 47.194.15.25447.194.15.2552,046
6747.194.16.0/2147.194.16.1 to 47.194.23.25447.194.23.2552,046
6847.194.24.0/2147.194.24.1 to 47.194.31.25447.194.31.2552,046
6947.194.32.0/2147.194.32.1 to 47.194.39.25447.194.39.2552,046
7047.194.40.0/2147.194.40.1 to 47.194.47.25447.194.47.2552,046
7147.194.48.0/2147.194.48.1 to 47.194.55.25447.194.55.2552,046
7247.194.56.0/2147.194.56.1 to 47.194.63.25447.194.63.2552,046
7347.194.64.0/2147.194.64.1 to 47.194.71.25447.194.71.2552,046
7447.194.72.0/2147.194.72.1 to 47.194.79.25447.194.79.2552,046
7547.194.80.0/2147.194.80.1 to 47.194.87.25447.194.87.2552,046
7647.194.88.0/2147.194.88.1 to 47.194.95.25447.194.95.2552,046
7747.194.96.0/2147.194.96.1 to 47.194.103.25447.194.103.2552,046
7847.194.104.0/2147.194.104.1 to 47.194.111.25447.194.111.2552,046
7947.194.112.0/2147.194.112.1 to 47.194.119.25447.194.119.2552,046
8047.194.120.0/2147.194.120.1 to 47.194.127.25447.194.127.2552,046
8147.194.128.0/2147.194.128.1 to 47.194.135.25447.194.135.2552,046
8247.194.136.0/2147.194.136.1 to 47.194.143.25447.194.143.2552,046
8347.194.144.0/2147.194.144.1 to 47.194.151.25447.194.151.2552,046
8447.194.152.0/2147.194.152.1 to 47.194.159.25447.194.159.2552,046
8547.194.160.0/2147.194.160.1 to 47.194.167.25447.194.167.2552,046
8647.194.168.0/2147.194.168.1 to 47.194.175.25447.194.175.2552,046
8747.194.176.0/2147.194.176.1 to 47.194.183.25447.194.183.2552,046
8847.194.184.0/2147.194.184.1 to 47.194.191.25447.194.191.2552,046
8947.194.192.0/2147.194.192.1 to 47.194.199.25447.194.199.2552,046
9047.194.200.0/2147.194.200.1 to 47.194.207.25447.194.207.2552,046
9147.194.208.0/2147.194.208.1 to 47.194.215.25447.194.215.2552,046
9247.194.216.0/2147.194.216.1 to 47.194.223.25447.194.223.2552,046
9347.194.224.0/2147.194.224.1 to 47.194.231.25447.194.231.2552,046
9447.194.232.0/2147.194.232.1 to 47.194.239.25447.194.239.2552,046
9547.194.240.0/2147.194.240.1 to 47.194.247.25447.194.247.2552,046
9647.194.248.0/2147.194.248.1 to 47.194.255.25447.194.255.2552,046
9747.195.0.0/2147.195.0.1 to 47.195.7.25447.195.7.2552,046
9847.195.8.0/2147.195.8.1 to 47.195.15.25447.195.15.2552,046
9947.195.16.0/2147.195.16.1 to 47.195.23.25447.195.23.2552,046
10047.195.24.0/2147.195.24.1 to 47.195.31.25447.195.31.2552,046
10147.195.32.0/2147.195.32.1 to 47.195.39.25447.195.39.2552,046
10247.195.40.0/2147.195.40.1 to 47.195.47.25447.195.47.2552,046
10347.195.48.0/2147.195.48.1 to 47.195.55.25447.195.55.2552,046
10447.195.56.0/2147.195.56.1 to 47.195.63.25447.195.63.2552,046
10547.195.64.0/2147.195.64.1 to 47.195.71.25447.195.71.2552,046
10647.195.72.0/2147.195.72.1 to 47.195.79.25447.195.79.2552,046
10747.195.80.0/2147.195.80.1 to 47.195.87.25447.195.87.2552,046
10847.195.88.0/2147.195.88.1 to 47.195.95.25447.195.95.2552,046
10947.195.96.0/2147.195.96.1 to 47.195.103.25447.195.103.2552,046
11047.195.104.0/2147.195.104.1 to 47.195.111.25447.195.111.2552,046
11147.195.112.0/2147.195.112.1 to 47.195.119.25447.195.119.2552,046
11247.195.120.0/2147.195.120.1 to 47.195.127.25447.195.127.2552,046
11347.195.128.0/2147.195.128.1 to 47.195.135.25447.195.135.2552,046
11447.195.136.0/2147.195.136.1 to 47.195.143.25447.195.143.2552,046
11547.195.144.0/2147.195.144.1 to 47.195.151.25447.195.151.2552,046
11647.195.152.0/2147.195.152.1 to 47.195.159.25447.195.159.2552,046
11747.195.160.0/2147.195.160.1 to 47.195.167.25447.195.167.2552,046
11847.195.168.0/2147.195.168.1 to 47.195.175.25447.195.175.2552,046
11947.195.176.0/2147.195.176.1 to 47.195.183.25447.195.183.2552,046
12047.195.184.0/2147.195.184.1 to 47.195.191.25447.195.191.2552,046
12147.195.192.0/2147.195.192.1 to 47.195.199.25447.195.199.2552,046
12247.195.200.0/2147.195.200.1 to 47.195.207.25447.195.207.2552,046
12347.195.208.0/2147.195.208.1 to 47.195.215.25447.195.215.2552,046
12447.195.216.0/2147.195.216.1 to 47.195.223.25447.195.223.2552,046
12547.195.224.0/2147.195.224.1 to 47.195.231.25447.195.231.2552,046
12647.195.232.0/2147.195.232.1 to 47.195.239.25447.195.239.2552,046
12747.195.240.0/2147.195.240.1 to 47.195.247.25447.195.247.2552,046
12847.195.248.0/2147.195.248.1 to 47.195.255.25447.195.255.2552,046
12947.196.0.0/2147.196.0.1 to 47.196.7.25447.196.7.2552,046
13047.196.8.0/2147.196.8.1 to 47.196.15.25447.196.15.2552,046
13147.196.16.0/2147.196.16.1 to 47.196.23.25447.196.23.2552,046
13247.196.24.0/2147.196.24.1 to 47.196.31.25447.196.31.2552,046
13347.196.32.0/2147.196.32.1 to 47.196.39.25447.196.39.2552,046
13447.196.40.0/2147.196.40.1 to 47.196.47.25447.196.47.2552,046
13547.196.48.0/2147.196.48.1 to 47.196.55.25447.196.55.2552,046
13647.196.56.0/2147.196.56.1 to 47.196.63.25447.196.63.2552,046
13747.196.64.0/2147.196.64.1 to 47.196.71.25447.196.71.2552,046
13847.196.72.0/2147.196.72.1 to 47.196.79.25447.196.79.2552,046
13947.196.80.0/2147.196.80.1 to 47.196.87.25447.196.87.2552,046
14047.196.88.0/2147.196.88.1 to 47.196.95.25447.196.95.2552,046
14147.196.96.0/2147.196.96.1 to 47.196.103.25447.196.103.2552,046
14247.196.104.0/2147.196.104.1 to 47.196.111.25447.196.111.2552,046
14347.196.112.0/2147.196.112.1 to 47.196.119.25447.196.119.2552,046
14447.196.120.0/2147.196.120.1 to 47.196.127.25447.196.127.2552,046
14547.196.128.0/2147.196.128.1 to 47.196.135.25447.196.135.2552,046
14647.196.136.0/2147.196.136.1 to 47.196.143.25447.196.143.2552,046
14747.196.144.0/2147.196.144.1 to 47.196.151.25447.196.151.2552,046
14847.196.152.0/2147.196.152.1 to 47.196.159.25447.196.159.2552,046
14947.196.160.0/2147.196.160.1 to 47.196.167.25447.196.167.2552,046
15047.196.168.0/2147.196.168.1 to 47.196.175.25447.196.175.2552,046
15147.196.176.0/2147.196.176.1 to 47.196.183.25447.196.183.2552,046
15247.196.184.0/2147.196.184.1 to 47.196.191.25447.196.191.2552,046
15347.196.192.0/2147.196.192.1 to 47.196.199.25447.196.199.2552,046
15447.196.200.0/2147.196.200.1 to 47.196.207.25447.196.207.2552,046
15547.196.208.0/2147.196.208.1 to 47.196.215.25447.196.215.2552,046
15647.196.216.0/2147.196.216.1 to 47.196.223.25447.196.223.2552,046
15747.196.224.0/2147.196.224.1 to 47.196.231.25447.196.231.2552,046
15847.196.232.0/2147.196.232.1 to 47.196.239.25447.196.239.2552,046
15947.196.240.0/2147.196.240.1 to 47.196.247.25447.196.247.2552,046
16047.196.248.0/2147.196.248.1 to 47.196.255.25447.196.255.2552,046
16147.197.0.0/2147.197.0.1 to 47.197.7.25447.197.7.2552,046
16247.197.8.0/2147.197.8.1 to 47.197.15.25447.197.15.2552,046
16347.197.16.0/2147.197.16.1 to 47.197.23.25447.197.23.2552,046
16447.197.24.0/2147.197.24.1 to 47.197.31.25447.197.31.2552,046
16547.197.32.0/2147.197.32.1 to 47.197.39.25447.197.39.2552,046
16647.197.40.0/2147.197.40.1 to 47.197.47.25447.197.47.2552,046
16747.197.48.0/2147.197.48.1 to 47.197.55.25447.197.55.2552,046
16847.197.56.0/2147.197.56.1 to 47.197.63.25447.197.63.2552,046
16947.197.64.0/2147.197.64.1 to 47.197.71.25447.197.71.2552,046
17047.197.72.0/2147.197.72.1 to 47.197.79.25447.197.79.2552,046
17147.197.80.0/2147.197.80.1 to 47.197.87.25447.197.87.2552,046
17247.197.88.0/2147.197.88.1 to 47.197.95.25447.197.95.2552,046
17347.197.96.0/2147.197.96.1 to 47.197.103.25447.197.103.2552,046
17447.197.104.0/2147.197.104.1 to 47.197.111.25447.197.111.2552,046
17547.197.112.0/2147.197.112.1 to 47.197.119.25447.197.119.2552,046
17647.197.120.0/2147.197.120.1 to 47.197.127.25447.197.127.2552,046
17747.197.128.0/2147.197.128.1 to 47.197.135.25447.197.135.2552,046
17847.197.136.0/2147.197.136.1 to 47.197.143.25447.197.143.2552,046
17947.197.144.0/2147.197.144.1 to 47.197.151.25447.197.151.2552,046
18047.197.152.0/2147.197.152.1 to 47.197.159.25447.197.159.2552,046
18147.197.160.0/2147.197.160.1 to 47.197.167.25447.197.167.2552,046
18247.197.168.0/2147.197.168.1 to 47.197.175.25447.197.175.2552,046
18347.197.176.0/2147.197.176.1 to 47.197.183.25447.197.183.2552,046
18447.197.184.0/2147.197.184.1 to 47.197.191.25447.197.191.2552,046
18547.197.192.0/2147.197.192.1 to 47.197.199.25447.197.199.2552,046
18647.197.200.0/2147.197.200.1 to 47.197.207.25447.197.207.2552,046
18747.197.208.0/2147.197.208.1 to 47.197.215.25447.197.215.2552,046
18847.197.216.0/2147.197.216.1 to 47.197.223.25447.197.223.2552,046
18947.197.224.0/2147.197.224.1 to 47.197.231.25447.197.231.2552,046
19047.197.232.0/2147.197.232.1 to 47.197.239.25447.197.239.2552,046
19147.197.240.0/2147.197.240.1 to 47.197.247.25447.197.247.2552,046
19247.197.248.0/2147.197.248.1 to 47.197.255.25447.197.255.2552,046
19347.198.0.0/2147.198.0.1 to 47.198.7.25447.198.7.2552,046
19447.198.8.0/2147.198.8.1 to 47.198.15.25447.198.15.2552,046
19547.198.16.0/2147.198.16.1 to 47.198.23.25447.198.23.2552,046
19647.198.24.0/2147.198.24.1 to 47.198.31.25447.198.31.2552,046
19747.198.32.0/2147.198.32.1 to 47.198.39.25447.198.39.2552,046
19847.198.40.0/2147.198.40.1 to 47.198.47.25447.198.47.2552,046
19947.198.48.0/2147.198.48.1 to 47.198.55.25447.198.55.2552,046
20047.198.56.0/2147.198.56.1 to 47.198.63.25447.198.63.2552,046
20147.198.64.0/2147.198.64.1 to 47.198.71.25447.198.71.2552,046
20247.198.72.0/2147.198.72.1 to 47.198.79.25447.198.79.2552,046
20347.198.80.0/2147.198.80.1 to 47.198.87.25447.198.87.2552,046
20447.198.88.0/2147.198.88.1 to 47.198.95.25447.198.95.2552,046
20547.198.96.0/2147.198.96.1 to 47.198.103.25447.198.103.2552,046
20647.198.104.0/2147.198.104.1 to 47.198.111.25447.198.111.2552,046
20747.198.112.0/2147.198.112.1 to 47.198.119.25447.198.119.2552,046
20847.198.120.0/2147.198.120.1 to 47.198.127.25447.198.127.2552,046
20947.198.128.0/2147.198.128.1 to 47.198.135.25447.198.135.2552,046
21047.198.136.0/2147.198.136.1 to 47.198.143.25447.198.143.2552,046
21147.198.144.0/2147.198.144.1 to 47.198.151.25447.198.151.2552,046
21247.198.152.0/2147.198.152.1 to 47.198.159.25447.198.159.2552,046
21347.198.160.0/2147.198.160.1 to 47.198.167.25447.198.167.2552,046
21447.198.168.0/2147.198.168.1 to 47.198.175.25447.198.175.2552,046
21547.198.176.0/2147.198.176.1 to 47.198.183.25447.198.183.2552,046
21647.198.184.0/2147.198.184.1 to 47.198.191.25447.198.191.2552,046
21747.198.192.0/2147.198.192.1 to 47.198.199.25447.198.199.2552,046
21847.198.200.0/2147.198.200.1 to 47.198.207.25447.198.207.2552,046
21947.198.208.0/2147.198.208.1 to 47.198.215.25447.198.215.2552,046
22047.198.216.0/2147.198.216.1 to 47.198.223.25447.198.223.2552,046
22147.198.224.0/2147.198.224.1 to 47.198.231.25447.198.231.2552,046
22247.198.232.0/2147.198.232.1 to 47.198.239.25447.198.239.2552,046
22347.198.240.0/2147.198.240.1 to 47.198.247.25447.198.247.2552,046
22447.198.248.0/2147.198.248.1 to 47.198.255.25447.198.255.2552,046
22547.199.0.0/2147.199.0.1 to 47.199.7.25447.199.7.2552,046
22647.199.8.0/2147.199.8.1 to 47.199.15.25447.199.15.2552,046
22747.199.16.0/2147.199.16.1 to 47.199.23.25447.199.23.2552,046
22847.199.24.0/2147.199.24.1 to 47.199.31.25447.199.31.2552,046
22947.199.32.0/2147.199.32.1 to 47.199.39.25447.199.39.2552,046
23047.199.40.0/2147.199.40.1 to 47.199.47.25447.199.47.2552,046
23147.199.48.0/2147.199.48.1 to 47.199.55.25447.199.55.2552,046
23247.199.56.0/2147.199.56.1 to 47.199.63.25447.199.63.2552,046
23347.199.64.0/2147.199.64.1 to 47.199.71.25447.199.71.2552,046
23447.199.72.0/2147.199.72.1 to 47.199.79.25447.199.79.2552,046
23547.199.80.0/2147.199.80.1 to 47.199.87.25447.199.87.2552,046
23647.199.88.0/2147.199.88.1 to 47.199.95.25447.199.95.2552,046
23747.199.96.0/2147.199.96.1 to 47.199.103.25447.199.103.2552,046
23847.199.104.0/2147.199.104.1 to 47.199.111.25447.199.111.2552,046
23947.199.112.0/2147.199.112.1 to 47.199.119.25447.199.119.2552,046
24047.199.120.0/2147.199.120.1 to 47.199.127.25447.199.127.2552,046
24147.199.128.0/2147.199.128.1 to 47.199.135.25447.199.135.2552,046
24247.199.136.0/2147.199.136.1 to 47.199.143.25447.199.143.2552,046
24347.199.144.0/2147.199.144.1 to 47.199.151.25447.199.151.2552,046
24447.199.152.0/2147.199.152.1 to 47.199.159.25447.199.159.2552,046
24547.199.160.0/2147.199.160.1 to 47.199.167.25447.199.167.2552,046
24647.199.168.0/2147.199.168.1 to 47.199.175.25447.199.175.2552,046
24747.199.176.0/2147.199.176.1 to 47.199.183.25447.199.183.2552,046
24847.199.184.0/2147.199.184.1 to 47.199.191.25447.199.191.2552,046
24947.199.192.0/2147.199.192.1 to 47.199.199.25447.199.199.2552,046
25047.199.200.0/2147.199.200.1 to 47.199.207.25447.199.207.2552,046
25147.199.208.0/2147.199.208.1 to 47.199.215.25447.199.215.2552,046
25247.199.216.0/2147.199.216.1 to 47.199.223.25447.199.223.2552,046
25347.199.224.0/2147.199.224.1 to 47.199.231.25447.199.231.2552,046
25447.199.232.0/2147.199.232.1 to 47.199.239.25447.199.239.2552,046
25547.199.240.0/2147.199.240.1 to 47.199.247.25447.199.247.2552,046
25647.199.248.0/2147.199.248.1 to 47.199.255.25447.199.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses